Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.metadataprocessors.internal.provisional
Interface IMetaDataEnabledFeature

All Known Subinterfaces:
  ICreateValues, IDefaultValue, IPossibleValues, IValidELValues, IValidValues

All Known Implementing Classes:
  AbstractMetaDataEnabledFeature, ActionType, BooleanType, ComponentBindingType, ComponentIDType, EnumerationType, FacesConfigIdentifierFeatures, JavaClassType, MethodBindingType, StringType, ValueBindingType, ValueType

public interface IMetaDataEnabledFeature

Required interface used by the MetaData feature processing framework. All features must extend this interface.

Method Summary
`java.lang.String` | `getBundleID()` Gets the bundleId used to define the extension
`CMAnnotationContext` | `getCMAnnotationContext()` Gets content model context that this feature will operating on
`IStructuredDocumentContext` | `getStructuredDocumentContext()` Gets structured document context that this feature will operating on
`void` | `setBundleID(java.lang.String bundleId)` Sets the bundle id used to define this feature
`void` | `setContentModelContext(CMAnnotationContext context)` Sets content model context that this feature will operating on
`void` | `setStructuredDocumentContext(IStructuredDocumentContext context)` Sets structured document context that this feature will operating on

Method Detail

### setStructuredDocumentContext

    public void setStructuredDocumentContext(IStructuredDocumentContext context)

  Sets structured document context that this feature will operating on

### getStructuredDocumentContext

    public IStructuredDocumentContext getStructuredDocumentContext()

  Gets structured document context that this feature will operating on

  Returns:
    IStructuredDocumentContext

### setContentModelContext

    public void setContentModelContext(CMAnnotationContext context)

  Sets content model context that this feature will operating on

### getCMAnnotationContext

    public CMAnnotationContext getCMAnnotationContext()

  Gets content model context that this feature will operating on

  Returns:
    CMAnnotationContext

### setBundleID

    public void setBundleID(java.lang.String bundleId)

  Sets the bundle id used to define this feature

### getBundleID

    public java.lang.String getBundleID()

  Gets the bundleId used to define the extension

  Returns:
    bundleID

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD